# Class NoSuchAuthorityCodeException

Object
Throwable
Exception
FactoryException
NoSuchIdentifierException
NoSuchAuthorityCodeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NoSuchAuthorityFactoryException`

public class NoSuchAuthorityCodeException extends NoSuchIdentifierException
Thrown when an authority factory cannot find the requested authority code.

Since:
  1.0
See Also:
  - `CRSAuthorityFactory`
  - `CSAuthorityFactory`
  - `DatumAuthorityFactory`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoSuchAuthorityCodeException(String message, String authority, String code)`
  Constructs an exception with the specified detail message and authority code.
  `NoSuchAuthorityCodeException(String message, String authority, String code, String identifier)`
  Constructs an exception with the specified detail message, authority code and identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthority()`
  Returns the authority.
  `String`
  `getAuthorityCode()`
  Returns the invalid authority code.

  ### Methods inherited from class NoSuchIdentifierException

  `getIdentifierCode`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoSuchAuthorityCodeException

    public NoSuchAuthorityCodeException(String message, String authority, String code)
    Constructs an exception with the specified detail message and authority code.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `authority` - The authority, saved for retrieval by the `getAuthority()` method.
      `code` - The invalid authority code, saved for retrieval by the `getAuthorityCode()` method.

  - ### NoSuchAuthorityCodeException

    public NoSuchAuthorityCodeException(String message, String authority, String code, String identifier)
    Constructs an exception with the specified detail message, authority code and identifier. The identifier argument is optional. If omitted, then "`authority:code`" will be used.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `authority` - The authority, saved for retrieval by the `getAuthority()` method.
      `code` - The invalid authority code, saved for retrieval by the `getAuthorityCode()` method.
      `identifier` - The full identifier as a concatenation of the authority and the code, saved for retrieval by the `NoSuchIdentifierException​.getIdentifierCode()` method.

- ## Method Details

  - ### getAuthority

    public String getAuthority()
    Returns the authority.
    Returns:
      The authority, or `null` if unknown.

  - ### getAuthorityCode

    public String getAuthorityCode()
    Returns the invalid authority code.
    Returns:
      The authority code, or `null` if unknown.